# $Revision: 1.2 $, $Date: 2001/12/13 12:40:46 $
Summary:	Address format change and calculation utility
Summary(pl):	Narzdzie do zmiany formatu i przeliczania adresw
Name:		whatmask
Version:	1.1
Release:	1
License:	GPL
Group:		Networking/Utilities
Group(de):	Netzwerkwesen/Werkzeuge
Group(es):	Red/Utilitarios
Group(pl):	Sieciowe/Narzdzia
Group(pt_BR):	Rede/Utilitrios
Source0:	http://www.laffeycomputer.com/current_builds/whatmask/%{name}-%{version}.tar.gz
URL:		http://www.laffeycomputer.com/whatmask.html
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Whatmask is a small C program that helps with network settings.
Notations supported are CIDR (e.g. /24), Netmask (e.g. 255.255.255.0),
and Wilcard Bits (e.g. 0.0.0.255). These notations are all identical.
CIDR notation commonly has a "/" in front of the number (representing
the number of bits). Whatmask can accept these notations with or
without a slash. It can take any IP in the subnet along with the
netmask in any format, and it will echo back the netmask in three
formats, the network address, the broadcast address, the number of
useable IPs, and the range of IPs in the subnet.

%description -l pl
whatmask to niewielki program w C pomagajcy przy konfiguracji sieci.
Obsugiwane notacje to CIDR (np. /24), maska sieci (np. 255.255.255.0)
i maska Wildcatd (np. 0.0.0.255). Te notacje znacz to samo. Notacja
CIDR zazwyczaj ma "/" przed liczb (oznaczajc liczb bitw).
whatmask akceptuje te notacje z lub bez "/". Moe przyj dowolny
adres IP w podsieci wraz z mask w dowolnym formacie, a wypisze mask
w trzech formatach, adres sieci, adres broadcastu, liczb uywalnych
IP oraz zakres IP w podsieci.

%prep
%setup -q

%build
rm -rf missing
aclocal
autoconf
automake -a -c
%configure
%{__make}
	
%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

gzip -9nf README AUTHORS NEWS ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: whatmask.spec,v $
Revision 1.2  2001/12/13 12:40:46  qboosh
- pl description, cosmetics

Revision 1.1  2001/12/13 12:12:24  blues
- initial
Whatmask is a small C program that helps with network settings. Notations
supported are CIDR (e.g. /24), Netmask (e.g. 255.255.255.0), and Wilcard
Bits (e.g. 0.0.0.255). These notations are all identical. CIDR notation
commonly has a "/" in front of the number (representing the number of bits).
